package com.ruoyi.web.modules.technology.service;

import java.util.List;
import com.ruoyi.web.modules.technology.domain.BizPracticalTraining;

/**
 * 实战业务培训服务
 */
public interface IBizPracticalTrainingService
{
    BizPracticalTraining selectBizPracticalTrainingById(Long id);

    List<BizPracticalTraining> selectBizPracticalTrainingList(BizPracticalTraining query);

    int insertBizPracticalTraining(BizPracticalTraining row);

    int updateBizPracticalTraining(BizPracticalTraining row);

    int deleteBizPracticalTrainingByIds(Long[] ids, String updateBy);

    int publish(Long id);

    int offline(Long id);
}
